be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDTRANSACTIONvalues

- java.lang.Object
- - java.lang.Enum<CDTRANSACTIONvalues>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDTRANSACTIONvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDTRANSACTIONvalues>

      public enum CDTRANSACTIONvalues
      extends Enum<CDTRANSACTIONvalues>

  Java class for CD-TRANSACTIONvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-TRANSACTIONvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="admission"/>
           <enumeration value="alert"/>
           <enumeration value="contactreport"/>
           <enumeration value="death"/>
           <enumeration value="discharge"/>
           <enumeration value="dischargereport"/>
           <enumeration value="epidemiology"/>
           <enumeration value="labrequest"/>
           <enumeration value="labresult"/>
           <enumeration value="note"/>
           <enumeration value="hospitalpharmaceuticalprescription"/>
           <enumeration value="pharmaceuticalprescription"/>
           <enumeration value="productdelivery"/>
           <enumeration value="quickdischargereport"/>
           <enumeration value="referral"/>
           <enumeration value="request"/>
           <enumeration value="result"/>
           <enumeration value="vaccination"/>
           <enumeration value="sumehr"/>
           <enumeration value="ecare-safe-consultation"/>
           <enumeration value="ebirth-mother-notification"/>
           <enumeration value="ebirth-baby-notification"/>
           <enumeration value="ebirth-baby-medicalform"/>
           <enumeration value="ebirth-mother-medicalform"/>
           <enumeration value="clinicalsummary"/>
           <enumeration value="medicaladvisoragreement"/>
           <enumeration value="bvt-sample"/>
           <enumeration value="clinicalpath"/>
           <enumeration value="telemonitoring"/>
           <enumeration value="radiationexposuremonitoring"/>
           <enumeration value="intervention"/>
           <enumeration value="medicationschemeelement"/>
           <enumeration value="treatmentsuspension"/>
           <enumeration value="prescription"/>
           <enumeration value="notification"/>
           <enumeration value="report"/>
           <enumeration value="medicationscheme"/>
           <enumeration value="vaccinationscheme"/>
           <enumeration value="vaccinationschemeelement"/>
           <enumeration value="ecare-tardis-consultation"/>
           <enumeration value="genericregistryentry"/>
           <enumeration value="population-based-screening"/>
           <enumeration value="child-prevention"/>
           <enumeration value="careplan"/>
           <enumeration value="applicationlink"/>
           <enumeration value="diarynote"/>
           <enumeration value="mea"/>
           <enumeration value="perinatal"/>
           <enumeration value="belrai-report"/>
           <enumeration value="nursingsummaryreport"/>
           <enumeration value="pharmaceuticalmedicationscheme"/>
           <enumeration value="transferreport"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMISSION`
    `ALERT`
    `APPLICATIONLINK`
    `BELRAI_REPORT`
    `BVT_SAMPLE`
    `CAREPLAN`
    `CHILD_PREVENTION`
    `CLINICALPATH`
    `CLINICALSUMMARY`
    `CONTACTREPORT`
    `DEATH`
    `DIARYNOTE`
    `DISCHARGE`
    `DISCHARGEREPORT`
    `EBIRTH_BABY_MEDICALFORM`
    `EBIRTH_BABY_NOTIFICATION`
    `EBIRTH_MOTHER_MEDICALFORM`
    `EBIRTH_MOTHER_NOTIFICATION`
    `ECARE_SAFE_CONSULTATION`
    `ECARE_TARDIS_CONSULTATION`
    `EPIDEMIOLOGY`
    `GENERICREGISTRYENTRY`
    `HOSPITALPHARMACEUTICALPRESCRIPTION`
    `INTERVENTION`
    `LABREQUEST`
    `LABRESULT`
    `MEA`
    `MEDICALADVISORAGREEMENT`
    `MEDICATIONSCHEME`
    `MEDICATIONSCHEMEELEMENT`
    `NOTE`
    `NOTIFICATION`
    `NURSINGSUMMARYREPORT`
    `PERINATAL`
    `PHARMACEUTICALMEDICATIONSCHEME`
    `PHARMACEUTICALPRESCRIPTION`
    `POPULATION_BASED_SCREENING`
    `PRESCRIPTION`
    `PRODUCTDELIVERY`
    `QUICKDISCHARGEREPORT`
    `RADIATIONEXPOSUREMONITORING`
    `REFERRAL`
    `REPORT`
    `REQUEST`
    `RESULT`
    `SUMEHR`
    `TELEMONITORING`
    `TRANSFERREPORT`
    `TREATMENTSUSPENSION`
    `VACCINATION`
    `VACCINATIONSCHEME`
    `VACCINATIONSCHEMEELEMENT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDTRANSACTIONvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDTRANSACTIONvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDTRANSACTIONvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADMISSION

          public static final CDTRANSACTIONvalues ADMISSION

    - #### ALERT

          public static final CDTRANSACTIONvalues ALERT

    - #### CONTACTREPORT

          public static final CDTRANSACTIONvalues CONTACTREPORT

    - #### DEATH

          public static final CDTRANSACTIONvalues DEATH

    - #### DISCHARGE

          public static final CDTRANSACTIONvalues DISCHARGE

    - #### DISCHARGEREPORT

          public static final CDTRANSACTIONvalues DISCHARGEREPORT

    - #### EPIDEMIOLOGY

          public static final CDTRANSACTIONvalues EPIDEMIOLOGY

    - #### LABREQUEST

          public static final CDTRANSACTIONvalues LABREQUEST

    - #### LABRESULT

          public static final CDTRANSACTIONvalues LABRESULT

    - #### NOTE

          public static final CDTRANSACTIONvalues NOTE

    - #### HOSPITALPHARMACEUTICALPRESCRIPTION

          public static final CDTRANSACTIONvalues HOSPITALPHARMACEUTICALPRESCRIPTION

    - #### PHARMACEUTICALPRESCRIPTION

          public static final CDTRANSACTIONvalues PHARMACEUTICALPRESCRIPTION

    - #### PRODUCTDELIVERY

          public static final CDTRANSACTIONvalues PRODUCTDELIVERY

    - #### QUICKDISCHARGEREPORT

          public static final CDTRANSACTIONvalues QUICKDISCHARGEREPORT

    - #### REFERRAL

          public static final CDTRANSACTIONvalues REFERRAL

    - #### REQUEST

          public static final CDTRANSACTIONvalues REQUEST

    - #### RESULT

          public static final CDTRANSACTIONvalues RESULT

    - #### VACCINATION

          public static final CDTRANSACTIONvalues VACCINATION

    - #### SUMEHR

          public static final CDTRANSACTIONvalues SUMEHR

    - #### ECARE_SAFE_CONSULTATION

          public static final CDTRANSACTIONvalues ECARE_SAFE_CONSULTATION

    - #### EBIRTH_MOTHER_NOTIFICATION

          public static final CDTRANSACTIONvalues EBIRTH_MOTHER_NOTIFICATION

    - #### EBIRTH_BABY_NOTIFICATION

          public static final CDTRANSACTIONvalues EBIRTH_BABY_NOTIFICATION

    - #### EBIRTH_BABY_MEDICALFORM

          public static final CDTRANSACTIONvalues EBIRTH_BABY_MEDICALFORM

    - #### EBIRTH_MOTHER_MEDICALFORM

          public static final CDTRANSACTIONvalues EBIRTH_MOTHER_MEDICALFORM

    - #### CLINICALSUMMARY

          public static final CDTRANSACTIONvalues CLINICALSUMMARY

    - #### MEDICALADVISORAGREEMENT

          public static final CDTRANSACTIONvalues MEDICALADVISORAGREEMENT

    - #### BVT_SAMPLE

          public static final CDTRANSACTIONvalues BVT_SAMPLE

    - #### CLINICALPATH

          public static final CDTRANSACTIONvalues CLINICALPATH

    - #### TELEMONITORING

          public static final CDTRANSACTIONvalues TELEMONITORING

    - #### RADIATIONEXPOSUREMONITORING

          public static final CDTRANSACTIONvalues RADIATIONEXPOSUREMONITORING

    - #### INTERVENTION

          public static final CDTRANSACTIONvalues INTERVENTION

    - #### MEDICATIONSCHEMEELEMENT

          public static final CDTRANSACTIONvalues MEDICATIONSCHEMEELEMENT

    - #### TREATMENTSUSPENSION

          public static final CDTRANSACTIONvalues TREATMENTSUSPENSION

    - #### PRESCRIPTION

          public static final CDTRANSACTIONvalues PRESCRIPTION

    - #### NOTIFICATION

          public static final CDTRANSACTIONvalues NOTIFICATION

    - #### REPORT

          public static final CDTRANSACTIONvalues REPORT

    - #### MEDICATIONSCHEME

          public static final CDTRANSACTIONvalues MEDICATIONSCHEME

    - #### VACCINATIONSCHEME

          public static final CDTRANSACTIONvalues VACCINATIONSCHEME

    - #### VACCINATIONSCHEMEELEMENT

          public static final CDTRANSACTIONvalues VACCINATIONSCHEMEELEMENT

    - #### ECARE_TARDIS_CONSULTATION

          public static final CDTRANSACTIONvalues ECARE_TARDIS_CONSULTATION

    - #### GENERICREGISTRYENTRY

          public static final CDTRANSACTIONvalues GENERICREGISTRYENTRY

    - #### POPULATION_BASED_SCREENING

          public static final CDTRANSACTIONvalues POPULATION_BASED_SCREENING

    - #### CHILD_PREVENTION

          public static final CDTRANSACTIONvalues CHILD_PREVENTION

    - #### CAREPLAN

          public static final CDTRANSACTIONvalues CAREPLAN

    - #### APPLICATIONLINK

          public static final CDTRANSACTIONvalues APPLICATIONLINK

    - #### DIARYNOTE

          public static final CDTRANSACTIONvalues DIARYNOTE

    - #### MEA

          public static final CDTRANSACTIONvalues MEA

    - #### PERINATAL

          public static final CDTRANSACTIONvalues PERINATAL

    - #### BELRAI_REPORT

          public static final CDTRANSACTIONvalues BELRAI_REPORT

    - #### NURSINGSUMMARYREPORT

          public static final CDTRANSACTIONvalues NURSINGSUMMARYREPORT

    - #### PHARMACEUTICALMEDICATIONSCHEME

          public static final CDTRANSACTIONvalues PHARMACEUTICALMEDICATIONSCHEME

    - #### TRANSFERREPORT

          public static final CDTRANSACTIONvalues TRANSFERREPORT

  - ### Method Detail

    - #### values

          public static CDTRANSACTIONvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDTRANSACTIONvalues c : CDTRANSACTIONvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDTRANSACTIONvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDTRANSACTIONvalues fromValue(String v)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.